<?php

declare(strict_types=1);

namespace Drupal\gnode_request\Plugin\Action;

use Drupal\group\Entity\GroupRelationshipInterface;

/**
 * Approve membership request action.
 *
 * @Action(
 *   id = "gnode_request_approve",
 *   label = @Translation("Approve group node request"),
 *   type = "group_relationship",
 *   confirm = TRUE,
 * )
 */
final class ApproveMembershipRequest extends MembershipRequestActionBase {

  /**
   * {@inheritdoc}
   */
  public function execute(GroupRelationshipInterface $entity = NULL) {
    $this->gnodeRequestManager->approve($entity);
  }

}
