<?php

declare(strict_types=1);

namespace Drupal\gnode_request\Plugin\Action;

use Drupal\group\Entity\GroupRelationshipInterface;

/**
 * Reject membership request action.
 *
 * @Action(
 *   id = "gnode_request_reject",
 *   label = @Translation("Reject group node request"),
 *   type = "group_relationship",
 *   confirm = TRUE,
 * )
 */
final class RejectMembershipRequest extends MembershipRequestActionBase {

  /**
   * {@inheritdoc}
   */
  public function execute(GroupRelationshipInterface $entity = NULL) {
    $this->gnodeRequestManager->reject($entity);
  }

}
